package uoc.edu.timestone.model;

import java.io.Serializable;

/**
 * This class represents a working center
 */
public class Center implements Serializable {
    private String id;
    private String name;
    private String city;
    private String address;
    private int cp;
    private String companyId;

    /**
     * Center class empty constructor
     */
    public Center() {
    }

    /**
     * Center class parameter constructor
     *
     * @param id      Database autogenerated identifier
     * @param name    The descriptive name of the working center
     * @param city    The city in which center is located
     * @param address The address of the center
     * @param cp      The postal code of the center
     * @param company The company to which center belongs
     */
    public Center(String id, String name, String city, String address, int cp, Company company) {
        this.id = id;
        this.name = name;
        this.city = city;
        this.address = address;
        this.cp = cp;
        this.companyId = company.getId();
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public int getCp() {
        return cp;
    }

    public void setCp(int cp) {
        this.cp = cp;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    @Override
    public String toString() {
        return name;
    }
}
