package uoc.edu.timestone.model;

import java.io.Serializable;

/**
 * This class represent a registered event
 */
public class Event implements Serializable {
    public enum EventType {
        EVENT_TYPE_ENTER,
        EVENT_TYPE_EXIT
    }

    private String id;
    private String name;
    private boolean working;
    private EventType type;
    private String color;

    /**
     * Event class empty constructor
     */
    public Event() {
    }

    /**
     * Event class parameter constructor
     *
     * @param id      The database autogenerated constructor
     * @param name    The descriptive name for the event
     * @param working <code>true</code> if the event have been taken into account in
     *                the working hours
     * @param type    The registered type of event
     */
    public Event(String id, String name, boolean working, EventType type, String color) {
        this.id = id;
        this.name = name;
        this.working = working;
        this.type = type;
        this.color = color;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public boolean isWorking() {
        return working;
    }

    public String getColor() {
        return color;
    }

    public void setWorking(boolean working) {
        this.working = working;
    }

    public EventType getType() {
        return type;
    }

    public void setType(EventType type) {
        this.type = type;
    }

    public void setColor(String color) {
        this.color = color;
    }

    @Override
    public String toString() {
        return name;
    }
}
