package uoc.edu.timestone.model;

import java.io.Serializable;

/**
 * This class represents an exit or entrance registry
 */
public class Registry implements Serializable {
    private String id;
    private String centerId;
    private String eventId;
    private String userId;
    private String date;
    private String time;
    private boolean confirmed;

    /**
     * Registry class empty constructor
     */
    public Registry() {
    }

    /**
     * Registry class parameter constructor
     *
     * @param id        The database autogenerated id
     * @param center    The center in which the event was registered
     * @param event     The event registered
     * @param user     The user registered
     * @param date      The date of the registered event
     * @param time      The date of the registered event
     * @param confirmed <code>true</code> if registry have been confirmed by user.
     */
    public Registry(String id, Center center, Event event, User user, String date,
                    String time, boolean confirmed) {
        this.id = id;
        this.centerId = center.getId();
        this.eventId = event.getId();
        this.userId = user.getId();
        this.date = date;
        this.time = time;
        this.confirmed = confirmed;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCenterId() {
        return centerId;
    }

    public void setCenterId(String centerId) {
        this.centerId = centerId;
    }

    public String getEventId() {
        return eventId;
    }

    public void setEventId(String eventId) {
        this.eventId = eventId;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public boolean isConfirmed() {
        return confirmed;
    }

    public void setConfirmed(boolean confirmed) {
        this.confirmed = confirmed;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }
}
